<?
namespace admin\view;

class Pages
{
  public static function subpages_browse_list( $pages, $parent_id = null, $step = 1 )
  {
    $tpl = new \Tpl();
    $tpl -> pages      = $pages;
    $tpl -> parent_id  = $parent_id;
    $tpl -> step       = $step;
    return $tpl -> render( 'pages/subpages-browse-list' );
  }

  public static function browse_list( $menus )
  {
    $tpl = new \Tpl;
    $tpl -> menus = $menus;
    return $tpl -> render( 'pages/pages-browse-list' );
  }

  public static function page_articles( $page_id, $articles )
  {
    $tpl = new \Tpl;
    $tpl -> page_id  = $page_id;
    $tpl -> articles = $articles;
    return $tpl -> render( 'pages/page-articles' );
  }

	public static function menu_edit( $menu )
	{
    $tpl = new \Tpl;
    $tpl -> menu = $menu;
    return $tpl -> render( 'pages/menu-edit' );
	}
}
?>